%global _empty_manifest_terminate_build 0
Name:           python-bashate
Version:        2.1.1
Release:        1
Summary:        A pep8 equivalent for bash scripts
License:        Apache-2.0
URL:            https://docs.openstack.org/bashate/latest/
Source0:        https://files.pythonhosted.org/packages/4d/0c/35b92b742cc9da7788db16cfafda2f38505e19045ae1ee204ec238ece93f/bashate-2.1.1.tar.gz
BuildArch:      noarch

%description
This program attempts to be an automated style checker for bash scripts
to fill the same part of code review that pep8 does in most OpenStack
projects. It started from humble beginnings in the DevStack project,
and will continue to evolve over time.

%package -n python3-bashate
Summary:        A pep8 equivalent for bash scripts
Provides:       python-bashate
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
Requires:       python3-pbr
%description -n python3-bashate
This program attempts to be an automated style checker for bash scripts
to fill the same part of code review that pep8 does in most OpenStack
projects. It started from humble beginnings in the DevStack project,
and will continue to evolve over time.

%package help
Summary:        A pep8 equivalent for bash scripts
Provides:       python3-bashate-doc
%description help
This program attempts to be an automated style checker for bash scripts
to fill the same part of code review that pep8 does in most OpenStack
projects. It started from humble beginnings in the DevStack project,
and will continue to evolve over time.

%prep
%autosetup -n bashate-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-bashate -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Wed Dec 07 2022 jiangxinyu <jiangxinyu@kylinos.cn> - 2.1.1-1
- Update package to version 2.1.1

* Wed Jul 20 2022 renliang16 <renliang@uniontech.com> - 2.1.0-1
- Upgrade package python3-bashate to version 2.1.0

* Tue May 10 2022 wulei <wulei80@h-partners.com> - 2.0.0-2
- License compliance rectification

* Tue Jun 23 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
